Bug 805611 - Migrate with normal user (non org admin) user .
Migrate with normal user (non org admin) user .
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: William Poteat
Entitlement Bugs
: QA-Closed
Depends On: 789007
Blocks: 771748
  Show dependency treegraph
 
Reported: 2012-03-21 12:54 EDT by Michael Stead
Modified: 2013-01-09 12:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 789007
Environment:
Last Closed: 2013-01-09 12:45:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Stead 2012-03-21 12:54:54 EDT
+++ This bug was initially created as a clone of Bug #789007 +++

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
3/3

Prerequisite:
Rhel5.8 with following rpm 
subscription-manager-migration-0.98.14-1.el5
subscription-manager-0.98.14-1.el5
subscription-manager-migration-data-1.11-1.el5

Steps to Repro   : 

Register client to rhn_classic using normal user account.
Migrate from classic to rhsm.

Expected Result : 
It should not display traceback .
Proper Message should display like “User do not have premission to migrate from rhn_classic to rhsm”.
Migration facts should not generated for incomplete migration process .

--- Additional comment from awood@redhat.com on 2012-03-16 15:21:08 EDT ---

Could you paste in the traceback?

I'm not able to duplicate this issue.  For me, the script outputs "Must be root user to execute" and exits.

--- Additional comment from spandey@redhat.com on 2012-03-19 07:08:31 EDT ---

# /usr/sbin/rhn-migrate-classic-to-rhsm 
RHN Username: rhn-support-bmumbaik
Password: 
Retrieving existing RHN classic subscription information ...
+----------------------------------+
System is currently subscribed to:
+----------------------------------+
rhel-i386-server-5
List of channels for which certs are being copied
rhel-i386-server-5
Product Certificates copied successfully to /tmp/rhsm !!
Preparing to unregister system from RHN classic ...
Problem encountered unregistering system from RHN Classic.  Exiting
Following traceback found in /var/log/rhsm/rhsm.log:
2012-02-09 00:34:38,206 [INFO]  @rhn-migrate-classic-to-rhsm:161 - Deleting system 1021946626 from RHN Classic...
2012-02-09 00:34:41,268 [ERROR]  @rhn-migrate-classic-to-rhsm:176 - Traceback (most recent call last):
  File "/usr/sbin/rhn-migrate-classic-to-rhsm", line 167, in unRegisterSystemFromRhnClassic
    result = sc.system.deleteSystems(sk, systemId)
  File "/usr/lib/python2.4/xmlrpclib.py", line 1096, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.4/xmlrpclib.py", line 1383, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.4/xmlrpclib.py", line 1147, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib/python2.4/xmlrpclib.py", line 1286, in _parse_response
    return u.close()
  File "/usr/lib/python2.4/xmlrpclib.py", line 744, in close
    raise Fault(**self._stack[0])
Fault: <Fault 1003: 'The following systems were NOT deleted: \n1021946626'>

--- Additional comment from spandey@redhat.com on 2012-03-19 07:09:24 EDT ---

Above is the traceback we find while testing

--- Additional comment from awood@redhat.com on 2012-03-20 15:36:53 EDT ---

Committed bb4dfbb5479adeba5b9ca48e5077bf261d6c8e81

subscription-manager-0.99.11+
Comment 1 Michael Stead 2012-03-21 12:57:23 EDT
Fixed for 6.3

Please be sure to verify this in first dev build of RHEL 5.9.
Comment 2 spandey 2012-06-26 05:21:34 EDT
Verified on rhel5.9 using following rpm 

subscription-manager-migration-data-1.11.1.1-1.git.2.c7fbafe.el5
subscription-manager-firstboot-1.0.4-1.git.20.0466bff.el5
subscription-manager-1.0.4-1.git.20.0466bff.el5
subscription-manager-gui-1.0.4-1.git.20.0466bff.el5
subscription-manager-migration-1.0.4-1.git.20.0466bff.el5

# /usr/sbin/rhn-migrate-classic-to-rhsm 
RHN Username: rhn-support-bmumbaik
Password: 
You must be an org admin to successfully run this script.

resolving defect as verified.
Comment 3 Bryan Kearney 2013-01-09 12:45:01 EST
Batch change of verified bugs which must have missed making the errata.

Note You need to log in before you can comment on or make changes to this bug.